#!/bin/sh

cd "$(dirname "$0")/.."

result=0	# success

echo
for f in test/valid/*.pdf
do
	./pdf "$f" >/dev/null	# suppress stdout but not error messages
	x=$?

	if [ $x -eq 0 ]
	then
		echo "OK: $f"
	else
		echo "FAIL (exit $x): $f"
		result=1
	fi
done

echo
for f in test/invalid/*.pdf
do
	./pdf -q "$f"		# suppress stdout and error messages
	x=$?

	if [ $x -eq 1 ]		# plain parse failure
	then
		echo "OK: $f"
	else
		echo "FAIL (exit $x): $f"
		result=2
	fi
done

echo
exit $result
